#!/usr/bin/env ruby
require("gsl")

phi = Vector.linspace(0, 2*M_PI, 200)
r1 = Sf::sin(4*phi)
x1 = r1*Sf::cos(phi)
y1 = r1*Sf::sin(phi)
r2 = Sf::cos(4*phi)
x2 = r2*Sf::cos(phi)
y2 = r2*Sf::sin(phi)
Vector.graph([x1, y1], [x2, y2])
